[MASTER] Volume/brightness/eject key briefly changes window focus (e.g. makes Flash exit full screen)

Bug #224475 reported by linovski
434
This bug affects 86 people
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Invalid
Undecided
Unassigned
flashplugin-nonfree (Ubuntu)
Fix Released
Low
Unassigned
gnome-settings-daemon (Ubuntu)
Invalid
Low
Unassigned

Bug Description

When a brightness, volume, or eject key is pressed on a keyboard, focus changes in the current window. At its mildest, this has odd visual effects. At its worst, it causes the Adobe Flash player to exit full-screen mode.

Steps to reproduce, A:
1. Start playing a movie full-screen with the Adobe Flash plug-in.
2. Press a brightness, volume, or eject key on the keyboard.
What happens: The Flash plug-in exits full screen.
What should happen: It shouldn't.

Steps to reproduce, B:
0. Switch to a theme where the focused and unfocused selection colors are obviously different, e.g. New Wave.
1. In any standard GTK text field (e.g. GEdit or Geany), select some text.
2. Press a brightness, volume, or eject key on the keyboard.
What happens: The selected text momentarily goes grey.
What should happen: The selected text stays the same color.

Steps to reproduce, C:
1. Start writing an OpenOffice.org Writer document.
2. Press a brightness, volume, or eject key on the keyboard.
What happens: The insertion point disappears for as long as the key is being pressed.
What should happen: The insertion point keeps blinking as normal.

Steps to reproduce, D:
1. In Firefox, tab to a link in a page, so that its URL appears in the status bar.
2. Press a brightness, volume, or eject key on the keyboard.
What happens: The URL momentarily disappears from the status bar.
What should happen: The URL stays where it is.

UPSTREAM ADOBE ISSUE: http://bugs.adobe.com/jira/browse/FP-902. Please register via the link in the top right and vote for and watch the issue if you are affected by it, so that it gets the appropriate amount of attention from Adobe.

ProblemType: Bug
Architecture: i386
Date: Wed Apr 30 01:57:44 2008
DistroRelease: Ubuntu 8.04
Package: flashplugin-nonfree 9.0.124.0ubuntu2
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_US.UTF-8
SourcePackage: flashplugin-nonfree
Uname: Linux 2.6.24-16-generic i686

Revision history for this message
linovski (avelinorego) wrote :
Revision history for this message
linovski (avelinorego) wrote :

In case of misunderstanding, the situation is:
when I adjust the system volume with the, in my case, laptop special keys, the gnome progress bar relative to sound, raises up and flash gets out full screen.

Revision history for this message
Manuel R. Ciosici (manuelciosici-deactivatedaccount) wrote :

Same problem with me on a desktop and a Microsoft Keyboard.

Revision history for this message
David Laursen (davidlaursen) wrote :

This problem also exists also on my Medion laptop in Intrepid. Just a minor annoyance, but would be great if it could be fixed!

Revision history for this message
LumpyCustard (orangelumpycustard) wrote :
Revision history for this message
skajoeska (punkiscrunk) wrote :

Has anyone come up with a fix for this yet. It still happens to me on a completely up to date Intrepid install. It's very annoying.

Revision history for this message
skajoeska (punkiscrunk) wrote :

Has anyone come up with a fix for this yet? It still happens to me on a completely up to date Intrepid install. It's very annoying.

Revision history for this message
Elias K Gardner (zorkerz) wrote :

This is mostly likely a bug originating from flash. Flash is not open source and is developed by adobe. To get it fixed we would need to get an adobe developer to work on it. I think adobe has a bugtracker for flash it would be good to make sure this is reported there because there is little chance anyone at adobe will check here for flash bugs.

Revision history for this message
LumpyCustard (orangelumpycustard) wrote :

Elias, I have already given the upstream bug URI 3 posts above yours. It would be really helpful if maybe everyone could vote on this bug there.

Revision history for this message
Elias K Gardner (zorkerz) wrote :

My apologies, I missed your link. I thought you could connect launchpad bug's with duplicates on another butracker. Maybe this just does not work with Adobe's. I have now followed the link, created an account and voted for the bug.

Revision history for this message
Michael Rooney (mrooney) wrote :

I can confirm this as well. It would be interesting to know, is there anyone NOT experiencing this issue? If so what window manager / compositor are you using?

Changed in flashplugin-nonfree:
importance: Undecided → Low
status: New → Confirmed
description: updated
Michael Rooney (mrooney)
description: updated
Revision history for this message
k65 (petersanders65) wrote :

@ LumpyCustard,

You are right. I just voted on the adobe site. I hope the others do so as well.

Revision history for this message
Melk79 (smelkus) wrote :

I just added a video of the bug in action at the Adobe site. If this is happening to you, please vote there.
Thanks.

Revision history for this message
k65 (petersanders65) wrote :

Do you have the link to theadobe site so that we can vote there?

Revision history for this message
David Laursen (davidlaursen) wrote :

It's in the bug description on top of this page: http://bugs.adobe.com/jira/browse/FP-902.

Michael Rooney (mrooney)
summary: - Change Sound volume with special keys, flash video in full screen gets
- out of it
+ Changing sound volume with special keys causes Flash to exit full screen
Revision history for this message
tom (mail-tomleo) wrote : Re: Changing sound volume with special keys causes Flash to exit full screen

OS: Ubuntu 9.04
Browser: FF 3
Hardware: Thinkpad T61p

Same problem if I hit the volume buttons and flash full screen exits back to regular size.

Revision history for this message
Jesse Katzman (j-kat) wrote :

Perhaps it is not flashplugin-nonfree.

1. In Firefox (Xubuntu 9.04 amd64), if my cursor is over a link and I press volume up/down/mute on my keyboard, the Firefox status bar flashes between the link and "Done".
2. If I select the text in this text field and change the volume, the selected text flashes.
3. If I go to Services, unlock and select a service, then change the volume, the selected service flickers.

This leads me to believe this is not a problem with Flash, which exits full screen when it no longer has focus.

If someone could point me to what source code handles keyboard shortcuts, perhaps I can find or even fix the problem.

Revision history for this message
Jesse Katzman (j-kat) wrote :

I just read the comments upstream; Havoc Pennington figured this out a long time ago (04/18/09).

Is it possible to provide our own workaround until Adobe fixes this?

Revision history for this message
jhfhlkjlj (fdsuufijjejejejej-deactivatedaccount) wrote :

bladebot: My swiftfox 3.5.3 does not flash when I adjust the volume while hovering over a link.

Revision history for this message
manzur (sl-solaris) wrote :

I can confirm

Alexander Sack (asac)
Changed in flashplugin-nonfree (Ubuntu):
status: Confirmed → Triaged
Revision history for this message
LumpyCustard (orangelumpycustard) wrote :

I have added this to the Hundred Paper Cuts as this is a very annoying issue, and not caused by adobe...

http://bugs.adobe.com/jira/browse/FP-902#action_247914

I realise this is probably too late for Karmic, but would be nice for Lucid.

Revision history for this message
Havoc Pennington (hp-litl) wrote :

The Adobe bug was wrongly closed, this is caused by Adobe. They need to reopen their bug. I added a comment to it explaining.

Exiting fullscreen on alt+tab is fine if that's the policy (I don't know if it is or not), but exiting on volume keys is not fine. They are implementing the fullscreen-exiting incorrectly such that they leave fullscreen on volume keys. I outlined for them alternative ways to implement it that will not have this side effect.

Revision history for this message
jhfhlkjlj (fdsuufijjejejejej-deactivatedaccount) wrote :

I believe it's been reopened, but I'm not sure about that because their bug tracker is a little funky. It's set to "Internal Review", which probably means that they have some napkin with a note scribbled on it sitting on the floor of an office somewhere.

Wouldn't the update be included in all releases since Flash is a huge security vulnerability?

Revision history for this message
Nikolay Botev (nikolaybotevb) wrote :

Havoc Pennington:

Not exactly correct.

IMO this is a UI bug (not Adobe specific).

Changing the volume using keyboard shortcuts in Ubuntu (and other Linux distros) takes the focus out of the active gnome widget temporarily.

This can cause annoying flicker if the currently focused widget displays some form of focus rectangle or other visual indication that the widget has the focus.

This is the reason for example for the behavior described by bladedot in comment #17. In Firefox, when the keyboard focus is on a hyperlink, the status bar displays the target address of the link. When the focus leaves a hyperlink, Firefox reverts the status bar text to some other value (in this case "Done"). This is why, when changing the volume the status bar in Firefox changes temporarily. This same effect of visual flicker can be observed in any GNOME application under different circumstances.

I have no idea what the reason for stealing keyboard focus when reacting to shortcut keys and/or displaying notifications is - but from the user's perspective there is no good reason to do this, and many reasons not to do this - the best one being the Adobe Flash player fullscreen behavior, which apparently exits fullscreen mode on losing keyboard focus.

I have no idea whether this is GNOME-specific of Ubuntu-specific, but I know it needs to be fixed, and it would be much easier to get this fixed in an open source project - GNOME or Ubuntu, than trying to get Adobe the change their closed-source Flash player, for a very tiny part of their audience.

Thanks.

Revision history for this message
Nicolas Dumoulin (nicolas-dumoulin) wrote :

nikolay botev> It isn't Gnome-specific, as it occurs with all other non-gnome browsers I have tried (Konqueror, Arora, rekonq).

Revision history for this message
Vish (vish) wrote :

Thank you for bringing this bug to our attention. However, a paper cut should be a small usability issue, in the default Ubuntu install, that affects many people and is quick and easy to fix. So this bug can't be addressed as part of this project.

- This is not a problem which has an easy or quick fix. Hence not a papercut.
For further information about papercuts criteria, please read https://wiki.ubuntu.com/PaperCut.

Don't worry though, this bug has been marked as "Invalid" only in the papercuts project.

Changed in hundredpapercuts:
status: New → Invalid
Revision history for this message
Matthew Paul Thomas (mpt) wrote :

nikolay, thanks for that analysis. I think you're right, this bug is not actually in Flash and it has other unpleasant effects.

summary: - Changing sound volume with special keys causes Flash to exit full screen
+ Pressing volume/brightness key unfocuses window (e.g. makes Flash exit
+ full screen)
description: updated
summary: - Pressing volume/brightness key unfocuses window (e.g. makes Flash exit
- full screen)
+ Pressing volume/brightness key changes window focus (e.g. makes Flash
+ exit full screen)
Changed in gnome-settings-daemon (Ubuntu):
importance: Undecided → Low
Revision history for this message
Sebastien Bacher (seb128) wrote : Re: Pressing volume/brightness key changes window focus (e.g. makes Flash exit full screen)

it's not clear to me that the issue is a g-s-d one, did somebody try in other desktop environments? did somebody open a GNOME bug?

Revision history for this message
Nicolas Dumoulin (nicolas-dumoulin) wrote :

Is I said before, the flash fullscren issue occurs also on KDE with Konqueror. But the issue you describe with selected text doesn't occur in a text editor component of KDE, nor the issue in OOo (always with KDE on Karmic).

Revision history for this message
Michael Rooney (mrooney) wrote : Re: [Bug 224475] Re: Changing sound volume with special keys causes Flash to exit full screen

On Wed, Dec 2, 2009 at 5:18 AM, Matthew Paul Thomas <email address hidden> wrote:
> nikolay, thanks for that analysis. I think you're right, this bug is not
> actually in Flash and it has other unpleasant effects.

I think that is half correct. While making the notifications not
unfocus the focused window would work around this specific case, it is
still a bug in Flash that unfocusing the window exists fullscreen. Use
multiple monitors and you will see that a fullscreen window will
commonly not have focus. For example, I can fullscreen any application
or watch fullscreen videos in totem/vlc/banshee/hulu desktop (which is
flash, interestingly enough) on one monitor while working on another,
and the flash plugin is the only application I know of which fails at
this use case.

So, I agree that it would be GREAT to fix the focus issue on our side
and resolve the other unpleasant effects you mention, but there is no
reason for Flash to expect focus to remain in fullscreen either (no
other application does), so it is also a bug in Flash. It seems like
the bug should be fixed on both sides, because neither should be
behaving the way it is it seems, and both will have good consequences
besides this bug :)

Revision history for this message
jhfhlkjlj (fdsuufijjejejejej-deactivatedaccount) wrote : Re: Pressing volume/brightness key changes window focus (e.g. makes Flash exit full screen)

Since when has flash conformed to any sort of standard? It's always been out there paying no mind to all the conventions of any platform it is on. I don't see Adobe actually fixing this bug, just like they haven't fixed any of their other usability bugs. This will probably only ever be fixed on our end, so I say go full force for fixing the focus problem for notify-osd.

Revision history for this message
Havoc Pennington (hp-litl) wrote :

I think we're confusing Adobe - both here, and due to people piling on to the Adobe bug with "me too!" comments that conceal the content-containing comments over on the Adobe site.

This is a Flash bug. There may _also_ be a GNOME bug or bugs.

The way X works is that if client xyz is going to get key events, then it has to have key focus. The FocusIn / FocusOut events are delivered so clients can track who is going to get the events.

The volume, etc. shortcuts are implemented with a "passive keygrab" which grabs focus when the volume keys are pressed, for example.

The 15-ish-years-old X spec isn't going to change here; the same focus in/out events will be sent, etc., or lots of things would break.

There are two basic ways to fix the issues: 1) never use passive keygrabs; requires fixing settings daemon, window managers, etc. to work differently 2) fix toolkits and Flash to properly handle FocusOut from passive keygrabs.

Now, even if 1) is done someday, Flash should really still be fixed, and can be fixed in a simple way, to avoid going bonkers when it gets a FocusOut with NotifyGrab. So, we should be sure that technical info is available to Adobe over on their site, and please stop adding useless "I saw the bug too" and "Adobe is bad" comments to their site.

I believe GTK+ has a deliberate decision to show that focus has moved in this case, but GTK could be fixed to track "user-visible idea of focus" instead, probably. This would need to be a GTK bug report. Good chance said bug already exists even. One tradeoff could be that *active* grabs (like open menus) might no longer dim text entries. I don't really know all the issues though.

To implement 1) you can probably do something nuts with Xkb instead of using passive keygrabs. The only downside is that it might test previously-untested X server codepaths, and might not work on some scary old X terminals or something. It would need investigation.

Anyway, there are certainly various things that could be done in how GNOME does global keybindings, and how GTK deals with grab-related FocusOut, and so on. All these things are kind of thorny and hard to think through, and they also are not especially important end-user-wise. I would guess they should be separate bugs, not part of this bug against flash plugin.
The GTK and GNOME stuff should really be discussed on bugzilla.gnome.org or it's a waste of time, anyhow.

However, the Flash bug is very _easy_ to fix, and also has a nasty end-user impact. So, let's not lose track in all this that there's a very small change to Flash here, and we need to communicate that change clearly to Adobe. Flash simply should not unfullscreen due to FocusOut events with NotifyGrab.

Revision history for this message
Lonnie Lee Best (launchpad-startport) wrote :
Revision history for this message
jhfhlkjlj (fdsuufijjejejejej-deactivatedaccount) wrote :

I just found out today upon using Mupen64plus that Notify-osd also causes the program to leave fullscreen. See the accompanied vid

Revision history for this message
Sergei Genchev (sgenchev) wrote :

 Another comment - while it very well may be Adobe bug, on my machine (Dell D620, Karmic) if I watch flash in Firefox it exits full screen on volume change but if I watch it in Chrome beta it does not. Chrome uses the same flash plugin as Firefox. I do not know for sure if Chrome uses GTK or QT (or even quite possibly it's own widgets).
 Just another "me too" with info I have not seen in this bug.

Revision history for this message
jhfhlkjlj (fdsuufijjejejejej-deactivatedaccount) wrote :

Firefox now has fullscreen support for .ogv in 3.6.

Guess what? Fullscreen is exited upon volume change.

Revision history for this message
Havoc Pennington (hp-litl) wrote :

Firefox is considerably easier to fix than flash ;-) just yank the misguided couple lines that unfullscreen on focus out.

Revision history for this message
Michael Rooney (mrooney) wrote : Re: [Bug 224475] Re: Pressing volume/brightness key changes window focus (e.g. makes Flash exit full screen)

> Another comment - while it very well may be Adobe bug, on my machine (Dell D620, Karmic) if I watch flash in Firefox it exits full screen on volume change but if I watch it in Chrome beta it does not. Chrome uses the same flash plugin as Firefox. I do not know for sure if Chrome uses GTK or QT (or even quite possibly it's own widgets).
>  Just another "me too" with info I have not seen in this bug.

I can't confirm this at all, I'm using Chromium (not sure if you are
using actual Chrome) and Flash still exists fullscreen on volume
changes.

Revision history for this message
emanuel t. (i-neut) wrote : Re: Pressing volume/brightness key changes window focus (e.g. makes Flash exit full screen)

I'm using the actual Chrome and indeed, this doesn't happen in Chrome. Maybe it's because Chrome handles key-shortcuts / flash videos differently(?):
 in Chrome, compared to Firefox I can't exit full screen mode by pressing the Esc key- I have to click the icon for that in the player...

Revision history for this message
Lightbreeze (nedhoy-gmail) wrote :

Adding Firefox as per the previous comments. Also, Chromium doesn't have this problem for me.

Revision history for this message
jhfhlkjlj (fdsuufijjejejejej-deactivatedaccount) wrote :

I just tried out Chrome.

It still exits on fullscreen for me, unlike the others. Would messy window raising have something to do with that?

Revision history for this message
Jmadero (jmadero) wrote :

Chrome does same thing for me, as does Chromium

Revision history for this message
Vish (vish) wrote :

Marking firefox task as incomplete.
As the bug happens with chrome too. [and also from the previous comments]

Changed in firefox (Ubuntu):
status: New → Incomplete
Revision history for this message
Micah Gersten (micahg) wrote :

Marking the firefox task invalid as it's a confirmed upstream Flash bug.

Changed in firefox (Ubuntu):
status: Incomplete → Invalid
Revision history for this message
Bálint Magyar (balintm) wrote :

I think the actual bug here is that changing volume or brightness steals focus for a split second, as evidenced by "Steps to reproduce, B" in the original report, and thus not a Flash bug but a gnome-settings-daemon one, as it happens with ALL global hotkeys, such as launching the E-mail client etc.

Revision history for this message
Bálint Magyar (balintm) wrote :

Also, I can confirm this on Lucid.

Revision history for this message
gunthers (hackmetz) wrote :

Bálint Magyar, please read Havoc's very insightful post #32. It is an X spec, not gnome.

Revision history for this message
Bálint Magyar (balintm) wrote :

Understood, thanks. :)

description: updated
description: updated
summary: - Pressing volume/brightness key changes window focus (e.g. makes Flash
- exit full screen)
+ [MASTER] Volume/brightness/eject key briefly changes window focus (e.g.
+ makes Flash exit full screen)
Revision history for this message
Harrison W Hollingsworth (harry-h22) wrote :

Hi, I found a workaround that currently works for me using Kubuntu and Chrome.
If you edit specific window settings for 'Npviewer.bin' and force it to stay on top and enable focus stealing prevention, this will solve the problem of OSD's exiting full screen flash video. This is possible because Chrome opens up a unique window for fullscreen flash video called Npviewer.bin.
In Kubuntu you can edit the window settings for applications and by setting stay on top and prevent focus stealing prevention.

Revision history for this message
Axel Pospischil (apos) wrote :

@Harrison W Hollingsworth: Compiz has similar capabilities (keeping windows with a special title on top) with the compiz config manager, but I cannot achieve it. Any hints? What exactly did you do with your "specific window settings for 'Npviewer.bin'", does this concern the windows "title"? Please could specify this more detailed?

Revision history for this message
Plafuro (plafuro) wrote :

Based on Harrison W Hollingsworth's comment i mannaged to find a workaround aswell.

First of all, in order to find the id of the flash window, we need to run the following command from a terminal window:

sleep 5 && xwininfo

this will lunch xwininfo after five seconds - in those five seconds play a flash video full screen. When the time is over, your mouse pointer will change to a chrosshair, click on the playing video. Go back to the terminal window and look for a line similar to this one (should be the first one after the xwininfo version info):

xwininfo: Window id: 0x6108ada "exe"

the text within quotation marks is what we are looking for.

Open CompizConfig settings manager. Go to "General Options" >> "Focus & Raise Behaviour" tab. At the very bottom, in "Focus Prevention Windows" add

" || xid=exe "

to that line. Remember to change the text "exe" in this example with whatever you get in your terminal (i am using a 64bit beta of the flash player and the name may vary). The window id has to be added withouth the quotation marks, right after the "equals" sign.

Please report if this works for you

Cheers

Revision history for this message
jhfhlkjlj (fdsuufijjejejejej-deactivatedaccount) wrote :

my xid was "<unknown>". I tried appending it to the line so that it shows:

!(class=Polkit-gnome-authentication-agent-1) || xid=<unknown>

and it still exits fullscreen. Is this xwininfo saying that it truly does not know? I've also tried "unknown" (without the <>) with no results.

Both times I made sure to reload compiz via 'compiz --replace'.

Anything I'm doing wrong?

affects: hundredpapercuts → null
Revision history for this message
jhfhlkjlj (fdsuufijjejejejej-deactivatedaccount) wrote :

I don't know if anyone else has noticed this but as of a recent update to flash (I'm guessing) I've been able to change my volume during fullscreen playback. Tested on both my laptop and desktop.

cornwall@cornwall-desktop:~$ apt-cache show flashplugin-nonfree
Package: flashplugin-nonfree
Architecture: amd64
Version: 10.1.85.3ubuntu1

Revision history for this message
José Alburquerque (jaalburquerque) wrote :

Confirmed on a fully updated maverick system.

Revision history for this message
sanmiguel9 (againsttcpa84) wrote :

I can confirm this too, on several up-to-date Lucid and Maverick systems.

~$ apt-cache show adobe-flashplugin
[...]
Architecture: i386
Version: 10.1.102.64-1maverick1

Revision history for this message
Elias K Gardner (zorkerz) wrote : Re: [Bug 224475] Re: [MASTER] Volume/brightness/eject key briefly changes window focus (e.g. makes Flash exit full screen)

On maverick my videos no longer exit full screen instead the video freezes.

On Sun, Nov 7, 2010 at 5:35 AM, sanmiguel9 <email address hidden> wrote:

> I can confirm this too, on several up-to-date Lucid and Maverick
> systems.
>
> ~$ apt-cache show adobe-flashplugin
> [...]
> Architecture: i386
> Version: 10.1.102.64-1maverick1
>
> --
> [MASTER] Volume/brightness/eject key briefly changes window focus (e.g.
> makes Flash exit full screen)
> https://bugs.launchpad.net/bugs/224475
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Revision history for this message
Jesse Katzman (j-kat) wrote :

Elias: Does the video freeze or pause? How do you exit the frozen video?

Revision history for this message
jhfhlkjlj (fdsuufijjejejejej-deactivatedaccount) wrote :

Actually, the laptop I had tested on as well had it freeze as well. The audio will continue on as normal but the current video frame will freeze. As soon as you exit fullscreen it will go back to normal. I figured it was just because I was using the dumpy 64 bit version so I didn't mention the fact. It does this with compiz. If I use metacity then all functions well (though the screen flickers a little bit).

 But it does adjust the volume fullscreen!

Jesse Katzman (j-kat)
Changed in gnome-settings-daemon (Ubuntu):
status: New → Invalid
Revision history for this message
Jmadero (jmadero) wrote :

It's not freezing, the video actually is still playing. If you scroll down on the page after exiting full screen the video shows again...I think this is a different bug though, I've been putting off reporting it until other people confirmed it. i'm seeing the problem on three different machines

Revision history for this message
Jesse Katzman (j-kat) wrote :

Confirmed fix on Maverick.

Changed in flashplugin-nonfree (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Jesse Katzman (j-kat) wrote :

Hey guys,

That looks like a different bug to me. I recommend opening a new bug as this bug could be a problem with Compiz, not flash. For now, disabling desktop effects is an effective workaround.

Revision history for this message
Elias K Gardner (zorkerz) wrote :

Same as Chaunceller here. Audio stops video frozen can exit full screen by
pressing esc.

On Sun, Nov 7, 2010 at 12:14 PM, bladebot <email address hidden> wrote:

> ** Changed in: gnome-settings-daemon (Ubuntu)
> Status: New => Invalid
>
> --
> [MASTER] Volume/brightness/eject key briefly changes window focus (e.g.
> makes Flash exit full screen)
> https://bugs.launchpad.net/bugs/224475
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Revision history for this message
Jmadero (jmadero) wrote :

Are you sure the video actually freezes? Have you tried scrolling down the page, if you just go down a bit the video starts back up -- again this has been verified on three machines so I'm curious if yours is actually permenantly frozen or if it'll show it moving again after you scroll

Revision history for this message
Elias K Gardner (zorkerz) wrote :

This only happens when the video is full screen. I cannot scroll when the
video is full screen. When I exit full screen with esc the video works fine
in the smaller window.

On Sun, Nov 7, 2010 at 6:24 PM, Jmadero <email address hidden> wrote:

> Are you sure the video actually freezes? Have you tried scrolling down
> the page, if you just go down a bit the video starts back up -- again
> this has been verified on three machines so I'm curious if yours is
> actually permenantly frozen or if it'll show it moving again after you
> scroll
>
> --
> [MASTER] Volume/brightness/eject key briefly changes window focus (e.g.
> makes Flash exit full screen)
> https://bugs.launchpad.net/bugs/224475
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Revision history for this message
jhfhlkjlj (fdsuufijjejejejej-deactivatedaccount) wrote :

No, I was just pulling everyone's leg. >.>

This is about fullscreen flash anyway, not windowed. Regardless this discussion does not belong on this report. If someone else would be willing to report a new report it would be beneficial. I could really care less about that one because of the packages at fault.

Revision history for this message
Nicolas Picard (true255) wrote :

Tested on fresh Kubuntu 10.10 install, video in fullscreen no longer quit that mode. When I change volume with my keyboard, I get some kind of tearings / screen glitches, but disapear as soon that volume OSD is gone.

Revision history for this message
Ryan (rsantoro) wrote :

If you install flash 10.2 beta which was just released today this error will no longer exist notify osd transparently displays over your full screen video and does not minimize it

Revision history for this message
raj7095 (raj7095) wrote :

For those people whose problem still didn't get fixed after upgrading to flash player 10.2, I have a workaround. You can download an addon called flash game maximizer(for firefox): https://addons.mozilla.org/en-US/firefox/addon/9631/
Then, just edit its settings according to your interests. Press F11 to put firefox in fullscreen and toggle this addon so that its on, and it will be just like a fullscreen flash, but it won't close by changing volume unlike it did with fullscreen flash.

Revision history for this message
David-ritz (david-ritz) wrote :

Still having the problem in Chrome and Chromium where adjusting the volume/brightness using keyboard shortcuts causes the screen to flash white while playing flash video.

Revision history for this message
Jan Schürmann (visionfactory.net) wrote :

with this add-on firefox is getting the latest flash and everything works very fine:

http://www.webgapps.org/addons/flash-aid

it's the first time i'm totally satisfied with flash in Ubuntu/Linux ;-)

Curtis Hovey (sinzui)
no longer affects: null
Revision history for this message
Stéphane Guillou (stephane-guillou) wrote :

I just experienced this bug in 12.04. Can anyone confirm this regression?

Revision history for this message
Bzzz (da-bzzz) wrote :

Yes. Also on 12.04.

Revision history for this message
evanjt (0x-evan) wrote :

Have noticed this exists in 12.10 also

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers